SystemOrganization addCategory: #'Settings-System'!

Object subclass: #SystemSystemSettings
	instanceVariableNames: ''
	classVariableNames: 'SoundEnabled UseThemeSounds'
	poolDictionaries: ''
	category: 'Settings-System'!

!SystemSystemSettings class methodsFor: 'settings' stamp: 'AlainPlantec 10/19/2010 16:57'!
authorSettingOn: aBuilder
	<systemsettings>
	(aBuilder setting: #authorFullName)
		order: -100000;
		parent: #codeEditing;
		label: 'Author identification' translated;
		target: Author;
		getSelector: #fullNamePerSe;
		setSelector: #fullName:;
		notInStyle;
		default: '';
		ghostHelp: 'VincentVanGogh';
		description: Author uniqueInstance messagePrompt
! !

!SystemSystemSettings class methodsFor: 'settings' stamp: 'pavel.krivanek 10/16/2010 22:44'!
systemSettingOn: aBuilder
	<systemsettings>
	(aBuilder group: #pharoSystem) 
		label: 'System' translated;
		description: 'General system settings' translated;
		with: [
			(aBuilder setting: #readDocumentAtStartup)
				label: 'Read document at startup' translated;
				target: AbstractLauncher;
				description: 'Use the second parameter of the virtual machine as a local or network address of the file and then file-in this file.' translated.
			(aBuilder setting: #serverMode)
				label: 'Server mode' translated;
				target: WorldState;
				description: 'If enabled, then each main rendering loop will always wait a complete delay of 50ms' translated.
			(aBuilder setting: #checkSourcesFileAvailability)
				label: 'Check sources file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no sources file can be found.' translated.
			(aBuilder setting: #checkChangesFileAvailability)
				label: 'Check changes file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no changes file can be found.' translated.
			(aBuilder setting: #useLocale)
				label: 'Use locale' translated;
				target: Locale;
				selector: #activated;
				description: 'Use the system locale to set the system language at startup.' translated]
! !
